# Redlib - Reddit frontend
# Port: 8080
# Privacy-respecting Reddit viewer

version: '3.9'
services:
  redlib:
    image: quay.io/redlib/redlib:latest
    container_name: Redlib
    restart: unless-stopped
    ports:
      - "9000:8080"
    environment:
      - REDLIB_SFW_ONLY=off
      - REDLIB_BANNER=vish
      - REDLIB_ROBOTS_DISABLE_INDEXING=on
      - REDLIB_DEFAULT_THEME=dracula
      - REDLIB_DEFAULT_SHOW_NSFW=on
      - REDLIB_DEFAULT_BLUR_NSFW=on
      - REDLIB_DEFAULT_HIDE_AWARDS=off
      - REDLIB_DEFAULT_LAYOUT=card
      - REDLIB_DEFAULT_AUTOPLAY_VIDEOS=on
      - REDLIB_DEFAULT_HIDE_HLS_NOTIFICATION=off
